LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XInterfaceMemberTypeDescription Interface Referencepublished

Base interface for reflected interface members. More...

`import"XInterfaceMemberTypeDescription.idl";`

Inheritance diagram for XInterfaceMemberTypeDescription:

## Public Member Functions
string | getMemberName ()
| Returns name of member. More...
long | getPosition ()
| Returns the position the member including all inherited members of base interfaces. More...
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Base interface for reflected interface members.

See Also
  XInterfaceAttributeTypeDescription
  XInterfaceMethodTypeDescription

## Member Function Documentation

string getMemberName | ( |  | ) |

Returns name of member.

Returns
  member name

long getPosition | ( |  | ) |

Returns the position the member including all inherited members of base interfaces.

Returns
  position of member

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XInterfaceMemberTypeDescription.idl